Subject: [alpine-devel] [PATCH] testing/pastebinc: new aport

From: Jeremy Thomerson <[email-masked]>
Date: Thu, 28 Jul 2011 23:33:40 +0000

a new aport for my new project: pastebinc
see https://github.com/jthomerson/pastebinc for more info
---
 testing/pastebinc/APKBUILD |   41 +++++++++++++++++++++++++++++++++++++++++
 1 files changed, 41 insertions(+), 0 deletions(-)
 create mode 100644 testing/pastebinc/APKBUILD

diff --git a/testing/pastebinc/APKBUILD b/testing/pastebinc/APKBUILD
new file mode 100644
index 0000000..d40962f
--- /dev/null
+++ b/testing/pastebinc/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Jeremy Thomerson <[email-masked]>
+# Maintainer: Jeremy Thomerson <[email-masked]>
+pkgname=pastebinc
+pkgver=0.9
+pkgrel=0
+pkgdesc="utility to pipe data into a paste on pastebin.com or a similar site"
+url="https://github.com/jthomerson/pastebinc"
+arch="all"
+license="ASL 2.0"
+depends=
+depends_dev=
+makedepends="wget glib-dev curl-dev"
+install=""
+subpackages=""
+source="saveas-https://github.com/jthomerson/pastebinc/tarball/RELEASE_0.9-BETA/$pkgname-$pkgver-$pkgrel.tar.gz"
+_builddir="$srcdir/jthomerson-pastebinc-8dbb86b"
+
+makeparams="VERSION=$pkgver-$pkgrel CONFDIR=/etc/pastebinc"
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make $makeparams clean || return 1
+	make $makeparams || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make $makeparams DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="a1620a9d04ecb79f42ede3768987567a  pastebinc-0.9-0.tar.gz"
-- 
1.7.4.5

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Natanael Copa <[email-masked]>
Date: Sun, 31 Jul 2011 12:44:29 +0200

On Thu, 28 Jul 2011 23:33:40 +0000

> see https://github.com/jthomerson/pastebinc for more info

btw... did you see sprunge? solves same problem but uses the
http://sprunge.us/ service instead of pastebin.com. I wrapped a tiny
shell script and packaged it:

apk add sprunge
# example:
git diff | sprunge

-nc

---

---

From: Jeremy Thomerson <[email-masked]>
Date: Sun, 31 Jul 2011 10:02:38 -0400

I hadn't seen it.  What makes pastebinc different is that it is configurable
to work on *any* pastebin alternative.  For instance, at a couple places
where I do some work, we have internal pastebin-clones.  A simple config
file should make it possible for those users to use it on their servers and
workstations where they will not want to paste things to external sites.

If anyone is interested in reviewing the C code (
https://github.com/jthomerson/pastebinc), I'd be interested in any feedback
you have.  I have a couple "TODO" items in it that are more like "note to
self - need to research this" since this is my first real C project.

Thanks for pushing the aport!

Jeremy Thomerson

---

From: Natanael Copa <[email-masked]>
Date: Sun, 31 Jul 2011 12:37:53 +0200

> see https://github.com/jthomerson/pastebinc for more info

Applied. Thanks!
-nc

---